This is my current neovim configuration. It uses [lazy.nvim](https://github.com/folke/lazy.nvim) as the packagemanager. </br>
My config is relatively simple structured. If you want to add a plugin, just create a <plugin.name>.lua file in the lua/pika/plugin/ path, inside a require{} table.

> [!TIP]
> pika is my username, so feel free to change this to your needs.

## installation

> [!CAUTION]
> You're neovim version has to be >=0.9.0 </br>
> If you're not sure what version you have, type `nvim --version` </br>
> To install neovim 0.9.0 or higher, you can run the following.
>
> ```bash
> bash -c "$(curl -sSL https://git.k4li.de/pika/scripts/raw/branch/main/bash/installs/neovim.sh)"
> ```

---

For installation, just git clone this repo to your $HOME/.config/ folder.

```bash
git clone --depth=1 https://git.k4li.de/dotfiles/nvim.git $HOME/.config/nvim/
```

## configuration

Colorscheme-plugins are defined in [colorschemes.lua](lua/pika/plugins/colorschemes.lua)

> [!TIP]
> default theme is `monet` </br>
> you can change the theme in the colorscheme function in the [init.lua](./init.lua)
